<?php

/**
 * comitTest actions.
 *
 * @package    canon
 * @subpackage comitTest
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class comitTestActions extends sfActions {

    public function executeList(sfWebRequest $request) {

//        $conn = Doctrine_Manager::getInstance()->getCurrentConnection();
//        $conn->beginTransaction();
//       
           
        try {
                
            
           $ini=microtime(true);
           $i=0;
           while($i<2)
           {
           
            $sql = <<<EOD

 
 insert into ca_usuario (username,password,estado) values( 'test3', 'pass3', 0)

EOD;
         //  $conn->execute($sql);
            CN_TABLE::executeSQL($sql);
           $i=$i+1;
           }
           
           
           $fin=microtime(true);
           $tempo=$fin-$ini;
           $this->logMessage("Tiempo: ".$tempo);
 
           
           
         //  $conn->commit();
        } catch (Exception $e) {
          //  $conn->rollback();
        }
    }

}
